cURL
curl --request POST \
--url https://api.botpress.cloud/v1/chat/integrations/configure \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-bot-id: <x-bot-id>' \
--data '
{
"identifier": "<string>",
"sandboxIdentifiers": {}
}
'import requests
url = "https://api.botpress.cloud/v1/chat/integrations/configure"
payload = {
"identifier": "<string>",
"sandboxIdentifiers": {}
}
headers = {
"x-bot-id": "<x-bot-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-bot-id': '<x-bot-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({identifier: '<string>', sandboxIdentifiers: {}})
};
fetch('https://api.botpress.cloud/v1/chat/integrations/configure', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{}configureIntegration
An integration can call this endpoint to configure itself
POST
/
v1
/
chat
/
integrations
/
configure
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Bot id
Integration id
Integration alias
Body
application/json
Configuration of the integration
Unique identifier of the integration that was installed on the bot
Maximum string length:
200Recurring schedule on which register() will be called on the integration
Available options:
hourly, daily, weekly, bi-weekly, monthly, bi-monthly, quarterly, yearly EXPERIMENTAL Sandbox identifiers for the integration. Setting this to null will remove all sandbox identifiers. This is an experimental feature meant to be used by specific integrations.
Response
Configuration of the integration
The response is of type configureIntegrationResponse · object.
Was this page helpful?
⌘I